# -*- coding:utf-8 -*-

# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ :name => 'Chicago' }, { :name => 'Copenhagen' }])
#   Mayor.create(:name => 'Daley', :city => cities.first)

# テスト用にユーザなどを作成

UserGroup.transaction do
  ug = UserGroup.new :name => "test user group<<<"
  ug.urlkey = "ug1"
  ug.save!

  u = User.new :name => "test user<<<"
  u.login = "usr1"
  u.save!

  ugu = UsersUserGroup.new :user_group => ug, :user => u
  ugu.save!

  b = Blog.new :name => "test board<<<", :user_group => ug, :lead => "This is test blog<<<<"
  b.save!
end # transaction
