# -*- coding:utf-8 -*-

module ApplicationHelper
  # 文字列のUnicode正規化
  def normalize s, form = :kc
    raise TypeError if s && !s.is_a?(String)
    s ? s.mb_chars.normalize(form).to_s : nil
  end
  alias normalize_kc normalize

  def date_select2 obj, method
    r = date_select obj, method
    r << %Q!<input type="button" onClick="openCalendar(this.form.#{obj}_#{method}_1i, this.form.#{obj}_#{method}_2i, this.form.#{obj}_#{method}_3i, event, &#39;yy/mm/dd&#39;);" value="..." style="padding:0">!.html_safe
    return r
  end

end
